Explorer
List one account’s latest-ingested balances
Path Parameters
account*string
Checksum-valid Stellar Ed25519 G address.
Match
^G[A-Z2-7]{55}$Query Parameters
after?string
Opaque nextCursor from the preceding page for this exact account.
Length
length <= 512limit?integer
Range
1 <= value <= 200Default
100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/accounts/GASNOA72CECDUZ5GEUK6WFINSASEG6R3WYZB2DE2CGDU7YI7GC2QPSFX/balances"{ "coverage": { "completedRanges": [ { "firstLedger": "2", "lastLedger": "63489999" }, { "firstLedger": "63490304", "lastLedger": "63490367" } ], "contiguousFirstLedger": "2", "contiguousLastLedger": "63489999", "contiguousLedgerCount": "63489998", "supplementalLedgerCount": "64", "totalLedgerCount": "63490062", "nextLedger": "63490000", "minimumLedger": "2", "maximumLedger": "63490367", "gapCount": 1 }, "watermark": { "mode": "latest-ingested-observations", "catalogGeneratedAt": "2019-08-24T14:15:22Z", "catalogMaximumLedger": "string", "snapshotPinned": false, "selectedLedger": "string", "coverageStatus": "complete", "indexStatus": "ready", "balancePrecision": "source-float64" }, "account": "string", "balanceScope": "native-and-issued", "balances": [ { "asset": "string", "assetType": "native", "assetCode": "string", "assetIssuer": "string", "balance": 0, "balanceRaw": null, "amountPrecision": "float64-observation", "buyingLiabilities": 0, "sellingLiabilities": 0, "trustLineLimitRaw": "string", "flags": 0, "lastModifiedLedger": 0, "observedLedger": 0 } ], "elapsedMilliseconds": 0, "limit": 0, "nextCursor": "string"}